Name:           x2goadmincenter
Version:        0.0.0.1
Release:        0.0x2go1%{?dist}
Summary:        X2Go Administration Center (Qt4 client)

%if 0%{?suse_version}
Group:          Production/Network/Remote Desktop
License:        AGPL-3.0+
%else
Group:          Applications/System
License:        AGPLv3+
%endif
URL:            http://www.x2go.org
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc

BuildRequires:  desktop-file-utils
%if 0%{?suse_version}
BuildRequires:  libqt4-devel
%if 0%{?suse_version} <= 1130
BuildRequires: update-desktop-files
%endif
%if 0%{?suse_version} >= 1310
BuildRequires:  libqt4-linguist
%endif
%else
%if 0%{?el5} || 0%{?el6}
BuildRequires:  qt4-devel
%else
BuildRequires:  qt-devel
%endif
%endif
%if 0%{?fedora} || 0%{?rhel}
# For some reason qt(4)-dev doesn't depend upon redhat-rpm-config,
# but the GCC spec file is still used, which leads to gcc failing
# due to a missing annobin plugin during compilation.
# Let's build-depend upon redhat-rpm-config for now manually.
BuildRequires:  redhat-rpm-config
%if 0%{?el6}
BuildRequires:  man
%else
BuildRequires:  man2html-core
%endif
%endif

Requires:       hicolor-icon-theme

%if 0%{?el5}
# For compatibility with EPEL5
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%else
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif

%description
X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick

X2Go Admin Center is a graphical client (Qt4) for the X2Go administration
interface. You can use it to administrate a single X2Go server, as well as
multi-server based X2Go clusters.


%package -n x2goadminserver
Summary:        X2Go Administration Server (Perl/CGI)
%if 0%{?suse_version}
Group:          Production/Network/Remote Desktop
Requires(pre):  permissions
%else
Group:          Applications/System
%endif

%description -n x2goadminserver
X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick

X2Go Admin Server is the server-side component of the X2Go Administration
center.

For installation instruction/howtos/FAQs please visit http://wiki.x2go.org


%prep
%setup -q
# Fix up install issues
sed -i -e 's/-o root -g root//' x2goadmincenter/Makefile
sed -i -e 's/-o root -g root//' x2goadminserver/Makefile
find -type f -name "Makefile" | xargs sed -i -r -e '/^LIBDIR=/s,/lib/,/%{_lib}/,'
sed -i x2goadminserver/Makefile -e '/^CGIBINDIR=/s,/lib/,/%{_lib}/,'

%build
%if 0%{?el5}
sed -i -e '/^QMAKE_BINARY=/s@qmake-qt4@%{_libdir}/qt4/bin/qmake@' x2goadmincenter/Makefile
sed -i -e '/^LRELEASE_BINARY=/s@lrelease-qt4@%{_libdir}/qt4/bin/lrelease@' x2goadmincenter/Makefile
%endif
%if 0%{?suse_version}
sed -i -e '/^QMAKE_BINARY=/s@qmake-qt4@%{_bindir}/qmake@' x2goadmincenter/Makefile
sed -i -e '/^LRELEASE_BINARY=/s@lrelease-qt4@%{_bindir}/lrelease@' x2goadmincenter/Makefile
%endif
make %{?_smp_mflags} CXXFLAGS="%{optflags}" QMAKE_OPTS="QMAKE_STRIP=:"


%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%if 0%{?suse_version} && 0%{?suse_version} <= 1130
%suse_update_desktop_file -n %{buildroot}%{_datadir}/applications/%{name}.desktop
%endif

%if 0%{?suse_version}
mkdir -p "%{buildroot}/%_sysconfdir/permissions.d"
cat > "%{buildroot}/%_sysconfdir/permissions.d/x2goadminserver" <<-EOF
%{_libdir}/cgi-bin/x2gorpcserver.cgi	root:root	0755
EOF
%endif

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%if 0%{?suse_version}
%post -n x2goadminserver
%if 0%{?suse_version} <= 1130
%run_permissions
%else
%set_permissions {_libdir}/cgi-bin/x2gorpcserver.cgi
%endif

%verifyscript -n x2goadminserver
%verify_permissions -e {_libdir}/cgi-bin/x2gorpcserver.cgi
%endif


%files
%defattr(-,root,root)
%doc debian/changelog
%doc debian/copyright
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/%{name}/
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/128x128
%dir %{_datadir}/icons/hicolor/128x128/apps
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/apps
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/apps
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/64x64/apps
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man8/%{name}.8.gz


%files -n x2goadminserver
%defattr(-,root,root)
%dir %{_sysconfdir}/x2go/
%config %{_sysconfdir}/x2go/x2goadminserver.conf
%if 0%{?suse_version}
%config %{_sysconfdir}/permissions.d/x2goadminserver
%endif
%dir %{_libdir}/x2go/
%{_libdir}/x2go/
%dir %{_libdir}/cgi-bin/
%attr(0755,root,root) %{_libdir}/cgi-bin/x2gorpcserver.cgi
%{_mandir}/man5/x2go*.5.gz
%{_mandir}/man8/x2go*.8.gz
%exclude %{_mandir}/man8/%{name}.8*


%changelog
