/*
    Part of X2GoAdminCenter.
    Copyright (C) 2011-2015 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef CENTERINTERFACE_H
#define CENTERINTERFACE_H

#include <QString>

class QNetworkReply;
class QSslError;
class QSettings;
class CenterInterface
{
public:
    virtual QString getUrl()=0;
    virtual QString getLogin()=0;
    virtual QString getPassword()=0;
    virtual QSettings* getSettings(QString group)=0;
    virtual bool adminMode()=0;
    virtual void handleSslErrors(QNetworkReply *reply, const QList<QSslError> &errors)=0;
    virtual void backToList()=0;
    virtual void setStatus(const QString& message) = 0;
};

#endif // CENTERINTERFACE_H
